Subject: Re: bug#19322: 25.0.50; 1.6Mb one line file chocks Emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Dec 2014 18:09:03 +0200

> From: Vitalie Spinu <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 09 Dec 2014 21:03:45 -0800
> 
>  >>> Eli Zaretskii on Wed, 10 Dec 2014 05:48:40 +0200 wrote:
> 
>  > This says Emacs asked for about 14GB of memory, which was rejected.
>  > Any idea why, since you have 26GB of memory?
> 
> Hm, how can that happen? It's just a 1.6Mb file.

Bidi magic.  Your entire humongous 1,600,000-character line is
enclosed in {..} braces, which triggers the paired brackets resolution
part of the new UBA defined by Unicode 6.3 and implemented on master.
It needs a lot of memory for such a long line.

I will soon push a fix for that.

>  > Also, when did you last synchronize with the repository?
> 
> 17th of November. I have just pulled it up, and the problem persists but
> it is admittedly less severe. It takes "only" 4 GB of RAM and I can see
> the content being displayed but the emacs locks anyways.

Does it lock, or does it just take it a VERY long time to redisplay?
Do you still see the calls to memory_full?